# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cucumber_testrail/version'

Gem::Specification.new do |spec|
  spec.name          = "cucumber_testrail"
  spec.version       = CucumberTestrail::VERSION
  spec.authors       = ["John Small"]
  spec.email         = ["john.small@bbc.com"]
  spec.summary       = %q{Sync Cucumber specs and results to TestRail}
  spec.description   = %q{Call cucumber_testrail.send_result(scenario) in an After hook. It will match existing testcases by scenario title or add new testcases
  and then add the result of the run to TestRail. See the README.md}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "cucumber","~>1.3"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake","~>10.3"
  spec.add_development_dependency "rspec","~>3.0"
  spec.add_development_dependency "vcr","~>2.9"
  spec.add_development_dependency "webmock","~>1.18"
  spec.add_development_dependency "rdoc","~>4.1"
  spec.add_development_dependency "geminabox","~>0.12"
end
